<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC
        "-//Hibernate/Hibernate Mapping DTD//EN"
        "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping>
    <class name="vn.yotel.yoker.domain.CashoutRequest" table="cashout_request">
        <meta attribute="class-description">
            Lớp này chứa chi tiết về CashoutRequest.
        </meta>
        <id name="id" type="int" column="id">
            <generator class="native"/>
        </id>
        <property name="processTime" column="process_time" type="timestamp"/>
        <property name="requesTime" column="reques_time" type="timestamp"/>
        <property name="status" column="status" type="byte"/>
        <property name="userId" column="user_id" type="integer"/>
        <property name="userName" column="user_name" type="string"/>
        <property name="userMobile" column="user_mobile" type="string"/>
        <property name="itemId" column="item_id" type="integer"/>
        <property name="quantity" column="quantity" type="integer"/>
        <property name="note" column="note" type="string"/>
        <property name="extraData" column="extra_data" type="string"/>
        <property name="actionNote" column="action_note" type="string"/>
        <property name="client" column="client" type="string"/>
        <property name="platform" column="platform" type="string"/>
    </class>
</hibernate-mapping>